package com.smppw.common.exception;

import com.smppw.common.pojo.enums.status.ResultCode;

/**
 * @author Rain
 * @date 2023/4/6 18:02
 * @description
 */
public class DataException extends RuntimeException {

    private static final long serialVersionUID = 8706998320785170500L;
    private final int code = ResultCode.DATA_PRE_SHOW_MESSAGE_ERROR.getCode();

    public DataException(String message) {
        super(message);
    }


    public int getCode() {
        return code;
    }
}
